.rect-card {
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  min-height: 340px;
  max-height: 400px;
  color: rgb(0, 0, 0);
  padding: 4.4rem 4.4rem 9.3rem;
}

@media all and (max-width: 1023px) {
  .rect-card {
    padding: 2rem 3rem 5.6rem;
    min-height: 186px;
    max-height: 200px;
  }
}

.rect-card__subtitle {
  font-size: 2.4rem;
  margin: 0;
}

@media all and (max-width: 1023px) {
  .rect-card__subtitle {
    font-size: 1.8rem;
  }
}

.rect-card__title {
  margin: 1rem 0 0;
  font-size: 3.2rem;
  font-weight: 700;
}

@media all and (max-width: 1023px) {
  .rect-card__title {
    margin: 0.8rem 0 0;
    font-size: 2.4rem;
  }
}

.rect-card__link {
  padding: 3px;
  cursor: pointer;
  border: none;
  background-color: transparent;

  display: inline-block;
  align-self: flex-start;
  font-family: inherit;
  font-size: 1.6rem;
  text-decoration: underline;
  color: inherit;
}

.rect-card__link:hover {
  color: var(--main-blue);
  transition: color 0.4s ease-in-out;
}

@media all and (max-width: 1023px) {
  .rect-card__link {
    font-size: 1.2rem;
  }
}

.rect-card__img-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.rect-card__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
